From: "Darrick J. Wong" <darrick.wong@oracle.com>
To: eguan@redhat.com
Cc: linux-xfs@vger.kernel.org, fstests@vger.kernel.org
Subject: [PATCH 9/8] xfs: find libxfs api violations
Date: Wed, 3 Jan 2018 11:22:00 -0800 [thread overview]
Message-ID: <20180103192200.GA4854@magnolia> (raw)
In-Reply-To: <151314499003.18893.8687182548758898133.stgit@magnolia>
From: Darrick J. Wong <darrick.wong@oracle.com>
New test to run tools/find-api-violations.sh in xfsprogs.
Signed-off-by: Darrick J. Wong <darrick.wong@oracle.com>
---
tests/xfs/708 | 56 +++++++++++++++++++++++++++++++++++++++++++++++++++++
tests/xfs/708.out | 2 ++
tests/xfs/group | 1 +
3 files changed, 59 insertions(+)
create mode 100755 tests/xfs/708
create mode 100644 tests/xfs/708.out
diff --git a/tests/xfs/708 b/tests/xfs/708
new file mode 100755
index 0000000..4877bcf
--- /dev/null
+++ b/tests/xfs/708
@@ -0,0 +1,56 @@
+#! /bin/bash
+# FS QA Test No. 708
+#
+# find-api-violations test
+#
+# The purpose of this test is ensure that the xfsprogs programs use the
+# libxfs_ symbols (in libxfs-api-defs.h) instead of raw xfs_ functions.
+# This is for the maintainers; it's not a functionality test.
+#
+#-----------------------------------------------------------------------
+# Copyright (c) 2018 Oracle, Inc.
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License as
+# published by the Free Software Foundation.
+#
+# This program is distributed in the hope that it would be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write the Free Software Foundation,
+# Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
+#
+#-----------------------------------------------------------------------
+#
+
+seq=`basename $0`
+seqres=$RESULT_DIR/$seq
+echo "QA output created by $seq"
+
+here=`pwd`
+tmp=/tmp/$$
+status=1 # failure is the default!
+trap "rm -f $tmp.*; exit \$status" 0 1 2 3 15
+
+# get standard environment, filters and checks
+. ./common/rc
+. ./common/filter
+
+[ -z "$WORKAREA" ] && \
+ _notrun "Can't run find-api-violations.sh without WORKAREA set"
+[ -f "$WORKAREA/tools/find-api-violations.sh" ] || \
+ _notrun "Can't find find-api-violations.sh tool under \"$WORKAREA\""
+
+echo "Silence is golden."
+
+# Look for API usage problems. Old versions of the script have an improperly
+# specified grep pattern that is mistaken for a (broken) range specifier in
+# LC_ALL=C, so use English instead.
+(cd "$WORKAREA" ; LC_ALL="en_US.UTF-8" bash ./tools/find-api-violations.sh ) | tee -a $seqres.full
+
+# success, all done
+status=0
+exit
diff --git a/tests/xfs/708.out b/tests/xfs/708.out
new file mode 100644
index 0000000..b40823e
--- /dev/null
+++ b/tests/xfs/708.out
@@ -0,0 +1,2 @@
+QA output created by 708
+Silence is golden.
diff --git a/tests/xfs/group b/tests/xfs/group
index d230060..e1b1582 100644
--- a/tests/xfs/group
+++ b/tests/xfs/group
@@ -434,3 +434,4 @@
434 auto quick clone fsr
435 auto quick clone
436 auto quick clone fsr
+708 auto quick other
next prev parent reply other threads:[~2018-01-03 19:22 UTC|newest]
Thread overview: 55+ messages / expand[flat|nested] mbox.gz Atom feed top
2017-12-13 6:03 [PATCH 0/8] weekly fstests changes Darrick J. Wong
2017-12-13 6:03 ` [PATCH 1/8] common/rc: report kmemleak errors Darrick J. Wong
2017-12-14 9:37 ` Eryu Guan
2017-12-14 18:15 ` Darrick J. Wong
2018-01-05 8:02 ` Eryu Guan
2018-01-05 17:02 ` Darrick J. Wong
2018-01-07 15:25 ` Eryu Guan
2017-12-13 6:03 ` [PATCH 2/8] common/xfs: fix scrub support probing again Darrick J. Wong
2017-12-13 6:03 ` [PATCH 3/8] generic/45[34]: test line draw characters in file/attr names Darrick J. Wong
2017-12-13 6:03 ` [PATCH 4/8] xfs: fix tests to handle removal of no-alloc create nonfeature Darrick J. Wong
2017-12-13 22:12 ` Dave Chinner
2017-12-13 22:45 ` [PATCH v2 " Darrick J. Wong
2017-12-13 6:03 ` [PATCH 5/8] generic: test error shutdown while stressing filesystem Darrick J. Wong
2017-12-13 6:03 ` [PATCH 6/8] fsstress: implement the clonerange/deduperange ioctls Darrick J. Wong
2017-12-14 6:39 ` Amir Goldstein
2017-12-14 7:32 ` Eryu Guan
2017-12-14 20:20 ` Darrick J. Wong
2017-12-15 2:07 ` [PATCH v2 " Darrick J. Wong
2018-01-03 8:48 ` Eryu Guan
2018-01-03 17:12 ` Darrick J. Wong
2018-01-05 4:35 ` Eryu Guan
2018-01-05 4:54 ` Darrick J. Wong
2018-01-06 1:46 ` Darrick J. Wong
2018-01-09 7:09 ` Darrick J. Wong
2018-02-22 16:06 ` Luis Henriques
2018-02-22 17:27 ` Darrick J. Wong
2018-02-22 18:17 ` Luis Henriques
2018-02-22 18:34 ` Darrick J. Wong
2018-02-23 10:17 ` Luis Henriques
2017-12-13 6:04 ` [PATCH 7/8] generic: run a long-soak write-only fsstress test Darrick J. Wong
2018-01-07 15:34 ` Eryu Guan
2017-12-13 6:04 ` [PATCH 8/8] xfs/068: fix variability problems in file/dir count output Darrick J. Wong
2017-12-13 22:20 ` Dave Chinner
2017-12-13 22:23 ` Darrick J. Wong
2017-12-13 22:45 ` Dave Chinner
2017-12-13 23:17 ` Darrick J. Wong
2017-12-13 23:42 ` Dave Chinner
2017-12-13 23:28 ` [PATCH v2 8/8] xfs/068: fix clonerange " Darrick J. Wong
2017-12-13 23:44 ` Dave Chinner
2017-12-14 6:52 ` Amir Goldstein
2017-12-14 7:37 ` Amir Goldstein
2017-12-14 7:49 ` Eryu Guan
2017-12-14 8:15 ` Amir Goldstein
2017-12-14 21:35 ` Dave Chinner
2017-12-15 2:04 ` Darrick J. Wong
2017-12-15 4:37 ` Dave Chinner
2017-12-15 7:06 ` Amir Goldstein
2017-12-15 2:08 ` [PATCH v3 8/8] xfs/068: fix variability " Darrick J. Wong
2017-12-15 2:16 ` Darrick J. Wong
2017-12-15 2:17 ` [PATCH v4 " Darrick J. Wong
2017-12-15 8:55 ` [PATCH 0/8] weekly fstests changes Eryu Guan
2018-01-03 19:22 ` Darrick J. Wong [this message]
2018-01-03 19:26 ` [PATCH 10/8] xfs: check that fs freeze minimizes required recovery Darrick J. Wong
2018-01-09 11:33 ` Eryu Guan
2018-01-10 0:03 ` Darrick J. Wong
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=20180103192200.GA4854@magnolia \
--to=darrick.wong@oracle.com \
--cc=eguan@redhat.com \
--cc=fstests@vger.kernel.org \
--cc=linux-xfs@vger.kernel.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.